Package org.kapott.hbci.sepa.jaxb.pain_008_002_02

# Class CustomerDirectDebitInitiationV02

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_02.CustomerDirectDebitInitiationV02

public class CustomerDirectDebitInitiationV02 extends Object

Java class for CustomerDirectDebitInitiationV02 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CustomerDirectDebitInitiationV02">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GrpHdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}GroupHeaderSDD"/>
             <element name="PmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}PaymentInstructionInformationSDD" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GroupHeaderSDD`
`grpHdr`
`protected List<PaymentInstructionInformationSDD>`
`pmtInf`

## Constructor Summary

Constructors
Constructor
Description
`CustomerDirectDebitInitiationV02()`

## Method Summary

Modifier and Type
Method
Description
`GroupHeaderSDD`
`getGrpHdr()`
Gets the value of the grpHdr property.
`List<PaymentInstructionInformationSDD>`
`getPmtInf()`
Gets the value of the pmtInf property.
`void`
`setGrpHdr(GroupHeaderSDD value)`
Sets the value of the grpHdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### grpHdr

protected GroupHeaderSDD grpHdr

### pmtInf

protected List<PaymentInstructionInformationSDD> pmtInf

## Constructor Details

### CustomerDirectDebitInitiationV02

public CustomerDirectDebitInitiationV02()

## Method Details

### getGrpHdr

public GroupHeaderSDD getGrpHdr()
Gets the value of the grpHdr property.

Returns:
  possible object is `GroupHeaderSDD`

### setGrpHdr

public void setGrpHdr(GroupHeaderSDD value)
Sets the value of the grpHdr property.

Parameters:
  `value` - allowed object is `GroupHeaderSDD`

### getPmtInf

public List<PaymentInstructionInformationSDD> getPmtInf()
Gets the value of the pmtInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pmtInf property.

For example, to add a new item, do as follows:

        getPmtInf().add(newItem);

Objects of the following type(s) are allowed in the list `PaymentInstructionInformationSDD`